﻿using Blazored.LocalStorage;
using Microsoft.AspNetCore.Components.Forms;
using Microsoft.AspNetCore.Components;
using Blazor.Models;
using Blazor.Services;

namespace Blazor.Pages
{
    public partial class AddChapter
    {
        private ChapterModel chapterModel = new();

        [Inject]
        public IDataService DataService { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }


        private async void HandleValidSubmit()
        {
            await DataService.Add(chapterModel);

            NavigationManager.NavigateTo("chapters");
        }

    }
}
